<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Sleeve](./bitburner.sleeve.md) &gt; [setToCommitCrime](./bitburner.sleeve.settocommitcrime.md)

## Sleeve.setToCommitCrime() method

Set a sleeve to commit crime.

**Signature:**

```typescript
setToCommitCrime(sleeveNumber: number, crimeType: CrimeType | `${CrimeType}`): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  sleeveNumber | number | Index of the sleeve to start committing crime. Sleeves are numbered starting from 0. |
|  crimeType | [CrimeType](./bitburner.crimetype.md) \| \`${[CrimeType](./bitburner.crimetype.md)<!-- -->}\` | Name of the crime. |

**Returns:**

boolean

True if this action was set successfully, false otherwise.

## Remarks

RAM cost: 4 GB

Return a boolean indicating whether or not this action was set successfully (false if an invalid action is specified).

## Example


```ts
// Assigns the first sleeve to Homicide.
ns.sleeve.setToCommitCrime(0, "Homicide");

// Assigns the second sleeve to Grand Theft Auto, using enum
const crimes = ns.enums.CrimeType;
ns.sleeve.setToCommitCrime(1, crimes.grandTheftAuto)
```

